Bug 882788 - hamster-applet isn't in the Fedora 18 repos
Summary: hamster-applet isn't in the Fedora 18 repos
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hamster-applet
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-03 06:21 UTC by Chad Feller
Modified: 2013-12-01 17:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-03 21:06:08 UTC


Attachments (Terms of Use)

Description Chad Feller 2012-12-03 06:21:09 UTC
hamster-applet isn't in the Fedora 18 repos, yet it was rebuilt for Fedora 18 with the mass rebuild back in July:

http://koji.fedoraproject.org/koji/buildinfo?buildID=334554

is there a reason it wasn't pushed, or was it just an oversight?

Comment 1 Mads Villadsen 2012-12-03 21:06:08 UTC
This was done on purpose as I have orphaned the package.

Comment 2 Chad Feller 2013-01-01 21:12:39 UTC
I'm assuming it was merely orphaned because of the Gnome3/applets situation?

Considering that MATE is being featured in Fedora 18, would it be possible to bring hamster-applet back for that desktop?

I added vicodan to this bug (I don't know if that is proper protocol, so if I botched this, I apologize Dan), as he has already ported many of the Gnome2 applets to MATE.

Can we consider this an RFE to port hamster-applet to MATE, and add it back to the F18 repos?

Comment 3 Mads Villadsen 2013-01-02 11:38:35 UTC
I orphaned it because upstream had been almost dead for a long time and because I didn't have the time to take proper care of bugs, etc.

It appears now that development is picking up again at the github page:

https://github.com/projecthamster/hamster

However it also looks like the applet part has been completely removed - so it probably doesn't make any sense to tie this in with MATE.

If this is to be packaged again I recommend changing the name to hamster-time-tracker.

Comment 4 Ankur Sinha (FranciscoD) 2013-11-30 05:41:46 UTC
Hi,

Just an FYI:

I think we should leave this package as a dead package. Upstream is now properly differentiating hamster-time-tracker and applets for mate + gnome-shell extensions etc. I've packaged hamster-time-tracker but will submit it as a completely new package.

Thanks,
Warm regards,
Ankur


Note You need to log in before you can comment on or make changes to this bug.